Module java.desktop
Package javax.swing.plaf.basic

# Class BasicToolBarUI.PropertyListener

java.lang.Object
javax.swing.plaf.basic.BasicToolBarUI.PropertyListener

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

Direct Known Subclasses:
  `MetalToolBarUI.MetalRolloverListener`

Enclosing class:
  BasicToolBarUI

    protected class BasicToolBarUI.PropertyListener
    extends Object
    implements PropertyChangeListener

The class listens for property changed events.

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `PropertyListener()` |

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.beans.PropertyChangeListener

`propertyChange`

## Constructor Details

### PropertyListener

protected PropertyListener()